package com.ruoyi.generator.domain.front;

import java.util.List;
import com.ruoyi.common.core.domain.BaseEntity;

public class FrontProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long projectId;
    private Long userId;
    private String projectName;
    private String projectFileName;
    private String packageName;
    private String version;
    private String projectDesc;
    private String industryTemplate;
    private String frontFramework;
    private String backFramework;
    private String generateStatus;
    private String previewStatus;
    private String status;
    private List<FrontProjectTable> tables;

    public Long getProjectId() { return projectId; }
    public void setProjectId(Long projectId) { this.projectId = projectId; }
    public Long getUserId() { return userId; }
    public void setUserId(Long userId) { this.userId = userId; }
    public String getProjectName() { return projectName; }
    public void setProjectName(String projectName) { this.projectName = projectName; }
    public String getProjectFileName() { return projectFileName; }
    public void setProjectFileName(String projectFileName) { this.projectFileName = projectFileName; }
    public String getPackageName() { return packageName; }
    public void setPackageName(String packageName) { this.packageName = packageName; }
    public String getVersion() { return version; }
    public void setVersion(String version) { this.version = version; }
    public String getProjectDesc() { return projectDesc; }
    public void setProjectDesc(String projectDesc) { this.projectDesc = projectDesc; }
    public String getIndustryTemplate() { return industryTemplate; }
    public void setIndustryTemplate(String industryTemplate) { this.industryTemplate = industryTemplate; }
    public String getFrontFramework() { return frontFramework; }
    public void setFrontFramework(String frontFramework) { this.frontFramework = frontFramework; }
    public String getBackFramework() { return backFramework; }
    public void setBackFramework(String backFramework) { this.backFramework = backFramework; }
    public String getGenerateStatus() { return generateStatus; }
    public void setGenerateStatus(String generateStatus) { this.generateStatus = generateStatus; }
    public String getPreviewStatus() { return previewStatus; }
    public void setPreviewStatus(String previewStatus) { this.previewStatus = previewStatus; }
    public String getStatus() { return status; }
    public void setStatus(String status) { this.status = status; }
    public List<FrontProjectTable> getTables() { return tables; }
    public void setTables(List<FrontProjectTable> tables) { this.tables = tables; }
}
